SystemOrganization addCategory: #'PW-Examples'!

ALAsyncExample subclass: #PWAjaxCounterExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Examples'!

ALExampleApplication subclass: #PWExampleApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Examples'!

!PWExampleApplication methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:06'!
initializeLocator
	| docroot |
	locator 
		at: ALPath root 
		put: ALExamplePage new asResource.
	locator 
		at: ALPath root / 'config'
		put: (PWBasicAuthResource component: (PWConfigPage new)).
	"locator at: (ALPath / 'jquery.form.js')
		put: (ALFileResource on: (FSLocator imageDirectory / 'jquery.form.js') resolve)."
	locator at: (ALPath / 'favicon.ico')
		put: (ALFileResource on: (FSLocator imageDirectory / 'oopluflavicon.ico') resolve).
	locator at: (ALPath / 'sunglasses.png')
		put: (ALFileResource on: (FSLocator imageDirectory / 'sunglasses.png') resolve).

	docroot := FSLocator imageDirectory.
	ALDirectoryScanner scan: docroot into: locator.
	"locator 
		at: ALPath root 
		put: (ALHtmlResource component: ALAmberIndexPage new)"! !

ALFormExample subclass: #PWFormExample
	instanceVariableNames: 'radio integer2 integer3 dropdown'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Examples'!

!PWFormExample commentStamp: 'chc 6/17/2016 14:00' prior: 0!
Subclasses extending the AL-Examples-* packages of Altitude. !

!PWFormExample methodsFor: 'as yet unclassified' stamp: 'hc 3/10/2016 10:30'!
initialize
	integer := 'start string 2'.
	radio := ''.
	integer2 := 0.
	integer3 := 0.
	dropdown := 'peaches'! !

!PWFormExample methodsFor: 'as yet unclassified' stamp: 'chc 2/2/2016 11:28'!
renderContentOn: html
	super renderContentOn: html! !

!PWFormExample methodsFor: 'as yet unclassified' stamp: 'hc 2/25/2016 12:26'!
renderFormsOn: html
	html p: 'Two Integer Inputs:'.
	html form beMethodGet; with:
		[html input 
			beTypeText
			value: integer2 printString;
			callback: [:str | integer2 := str asNumber];
			with: [].
		html input 
			beTypeText
			value: integer3 printString;
			callback: [:str | integer3 := str asNumber];
			with: [].
		html input beTypeSubmit.
		html br.
		html text: integer2 asWords.
		html br.
		html text: integer3 asWords].
	html p: 'Radio Button:'.
	html form beMethodGet; with:
		[html input beTypeRadio
			value: 'male';
			callback: [:str | radio := str ].
		html br. 
		html input beTypeRadio
			value: 'female';
			callback: [:str | radio := str ].
		html br.
		html input beTypeSubmit.
		html text: radio ].
	html p: 'Ordered List:'.
	html ol:
		[#('apples' 'oranges' 'grapes') do:
			[:i | 
			html li:
				[html text: i ]]].
	html p: 'Unordered List:'.
	html ul:
		[#('apples' 'oranges' 'grapes') do:
			[:each | 
			html li: each ]].
	html p: 'Drop-down List:'.
	html form beMethodGet; with:
		[html select 
				callback: [:str| dropdown := str ];
					with: [html option with: [html text: 'superduper'].
						   html option with: [html text: 'another'].
						    html option with: [html text: 'garycooper']].
		html input beTypeSubmit.
		html br.
		html p: dropdown].

! !

ALFormExample subclass: #PWInstallerScriptForm
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Examples'!

!PWInstallerScriptForm commentStamp: 'chc 6/21/2016 08:11' prior: 0!
I'm not sure what this is for. This may be for evaluating the Installer script.!

!PWInstallerScriptForm methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:12'!
initialize

	integer := 'add Installer script here'! !

!PWInstallerScriptForm methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:09'!
renderContentOn: html
	html form beMethodGet; with:
		[html input 
			beTypeText
			value: integer printString;
			size: '100';
			callback: [:str | Compiler evaluate: str unescapePercents "integer := str ""asNumber"];
			with: [].
		html text: integer "asWords"].
	self renderFormsOn: html! !

ALExample subclass: #PWAsyncExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Examples'!

!PWAsyncExample methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:19'!
renderContentOn: html
	html span
		class: 'counter';
		id: 'count';
		with: '0'.
((PWSeasidePrefsModel instance valueAt: #render) = 'on') ifTrue: [
	html form id: 'myform'; beMethodPost; with:
		[html textarea name: 'wikiString'; with: [ html text: (PWSeasidePrefsModel instance valueAt: #currentString)].
		 html br. 
		 html input beTypeSubmit ]]. 
	self renderScriptsOn: html! !

!PWAsyncExample methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:19'!
renderScriptsOn: html
	html script src: 'https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js'.
	html script src: 'http://localhost:8624/jquery.form.js'.
	html script
		type: 'application/javascript';
		with: [html raw: self libraryScript].
	html script 
		type: 'application/javascript';
		with: [self renderFormScriptOn: html].
	html script
		type: 'application/javascript';
		with: [self renderInitScriptOn: html]! !

ALExamplePage subclass: #PWExamplePage
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Examples'!

!PWExamplePage methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:06'!
initialize
	examples := {
		'unicode' -> ALEncodingExample.
		'streaming' -> ALStreamingExample.
		'counter' -> ALCounterExample.
		'ajax counter' -> ALAjaxCounterExample.
		'pjax counter' -> ALPjaxCounterExample.
		'form' -> PWFormExample.
	}.
	current := examples first value new.! !

!PWExamplePage methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:06'!
renderHtmlOn: html
	html html: 
		[html head: 
			[html title: 'ooplu'.
			self renderStylesOn: html.
			 html script: '(function(i,s,o,g,r,a,m){i[''GoogleAnalyticsObject'']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,''script'',''https://www.google-analytics.com/analytics.js'',''ga'');

  ga(''create'', ''UA-77482044-1'', ''auto'');
  ga(''send'', ''pageview'');'.
			html link rel: 'stylesheet'; href: 'bootstrap.min.css'.
			html link rel: 'stylesheet'; href: 'blog.css' ].
		html body: [ self renderBodyOn: html ] ]! !

!PWExamplePage methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:07'!
renderNavBarOn: html
html div class: 'container'; with: [
	html nav class: 'blog-nav'; with:
		[examples do:
			[:pair | "html li: ["
				html a class: 'blog-nav-item'; navigate: [current := pair value new]; with: pair key
							"]	"
			]
		]
								].! !

ALAjaxCounterComponent subclass: #PWAjaxCounterComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Examples'!

!PWAjaxCounterComponent methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:17'!
intializeWithWikiString: anObject
	count := anObject! !

!PWAjaxCounterComponent methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:18'!
renderOn: json
	json object:
		[json name: 'count' value: count.
		"json name: 'dec' navigate: [count := count - 1].
		json name: 'inc' navigate: [count := count + 1]"]! !

!PWAjaxCounterComponent methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:18'!
wikiString: anObject
	count := anObject! !
